Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.classloader
Interface ResourceFinder

public interface ResourceFinder

Abstraction of resource searching policy. Given resource name, the resource finder performs implementation-specific lookup, and, if it is able to locate the resource, returns the `handle(s)` or URL(s) of it.

Version:
  1.0
Author:
  Dawid Kurzyniec

Method Summary
`java.net.URL` | `findResource(java.lang.String name)` Find the resource by name and return URL of it if found.
`java.util.Enumeration` | `findResources(java.lang.String name)` Find all resources with given name and return enumeration of their URLs.
`ResourceHandle` | `getResource(java.lang.String name)` Get the resource by name and, if found, open connection to it and return the `handle` of it.
`java.util.Enumeration` | `getResources(java.lang.String name)` Get all resources with given name and return enumeration of their `resource handles`.

Method Detail

### findResource

    public java.net.URL findResource(java.lang.String name)

  Find the resource by name and return URL of it if found.

  Parameters:
    `name` - the resource name
  Returns:
    resource URL or null if resource was not found

### findResources

    public java.util.Enumeration findResources(java.lang.String name)

  Find all resources with given name and return enumeration of their URLs.

  Parameters:
    `name` - the resource name
  Returns:
    enumeration of resource URLs (possibly empty).

### getResource

    public ResourceHandle getResource(java.lang.String name)

  Get the resource by name and, if found, open connection to it and return the `handle` of it.

  Parameters:
    `name` - the resource name
  Returns:
    resource handle or null if resource was not found

### getResources

    public java.util.Enumeration getResources(java.lang.String name)

  Get all resources with given name and return enumeration of their `resource handles`.

  Parameters:
    `name` - the resource name
  Returns:
    enumeration of resource handles (possibly empty).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD